var locationMarker = null;

function updateMap()
{

    var searchString = dojo.byId('HouseNameNo').value + ' ' + dojo.byId('Street').value;
    if (dojo.byId('Locality').value != '')
        searchString += ' ' + dojo.byId('Locality').value;
    if (dojo.byId('Town').value != '')
        searchString += ' ' + dojo.byId('Town').value;
    if (dojo.byId('CountyArea').value != '')
        searchString += ' ' + dojo.byId('CountyArea').value;
    if (dojo.byId('Postcode').value != '')
        searchString += ' ' + dojo.byId('Postcode').value;
    if (dojo.byId('Country').value != '')
        searchString += ' ' + dojo.byId('Country').value;

    if (dojo.trim(searchString) == '')
        return;

    if (typeof(map) == 'unedfined' || map == null)
        initializeMap('map_canvas');

    geocoder.geocode( {'address': searchString }, function(results, status) {
                    if(status == google.maps.GeocoderStatus.OK)
                    {
                        map.setCenter(results[0].geometry.location);
                        if (locationMarker != null)
                            locationMarker.setMap(null);
                        locationMarker = new google.maps.Marker({
                                map: map,
                                position: results[0].geometry.location,
                                title: results[0].formatted_address
                            });
                    }
                    else
                    {
                        alert('Unable to find location');
                    }
                });
}

function tabClicked(oes)
{
    window.setTimeout(function(){
            if (oes.field.value == 'address')
            {
                updateMap();
            }
        }, 5);
}


function contactNumberUpdated(type, rowId)
{
    if (type == 'insert' || type == 'remove')
    {
        var container = null;
        if (rowId.indexOf('EmailAddress') == 0)
        {
            container = dojo.query('#EmailAddressToggle > span > span:nth-child(2)')[0];
        }
        else if (rowId.indexOf('TelephoneNumber') == 0)
        {
            container = dojo.query('#TelephoneNumberToggle > span > span:nth-child(2)')[0];
        }
        else if (rowId.indexOf('FaxNumber') == 0)
        {
            container = dojo.query('#FaxNumberToggle > span > span:nth-child(2)')[0];
        }

        if (container != null)
        {
            //find the current number in the string
            var txt = container.innerHTML;
            var start = txt.lastIndexOf('(');
            var end = txt.indexOf(')', start);
            var current = txt.substring(start + 1, end);
            var newNuml
            if (type == 'insert')
                newNum = Number(current) + 1;
            else
                newNum = Number(current) - 1;

            container.innerHTML = txt.substring(0, start + 1) + newNum + txt.substring(end);

        }
    }
}
