/* ===================================================================================================
* WARNING – This file is part of the base implementation for WebMaker, so it should not be edited or changed for any project. 
* These files are replaced if a project is re-imported to the WebMaker Studio or migrated to a new version of the product. 
* For guidance on ‘How do I override or clone Hyfinity webapp files such as CSS & javascript?’, please read the following relevant FAQ entry: 
* http://www.hyfinity.net/faq/index.php?solution_id=1113
==================================================================================================== */

var geocoder;
var map;

function initializeMap(objMapCanvas)
{
    var canvas = document.getElementById(objMapCanvas);
    if (canvas != null)
    {
        geocoder = new google.maps.Geocoder();
        var latlng = new google.maps.LatLng(37.641078, -122.055843);
        var myOptions = {
            zoom : 12,
            center : latlng,
            mapTypeId : google.maps.MapTypeId.ROADMAP,
            streetViewControl : true
        }
        map = new google.maps.Map(canvas, myOptions);
    }
};

function codeAddress(objAddress)
{
    if (document.getElementById(objAddress) != null)
    {
        var address = document.getElementById(objAddress).value;
        if(geocoder)
        {
            geocoder.geocode( {'address': address}, function(results, status) {
                    if(status == google.maps.GeocoderStatus.OK)
                    {
                        map.setCenter(results[0].geometry.location);
                        var marker = new google.maps.Marker({
                                map: map,
                                position: results [ 0 ].geometry.location,
                                title: address
                            });
                    }
                    else
                    {
                        alert("Geocode was not successful for the following reason: " + status);
                    }
                });
        }
    }
}
